import { FormType } from "@/components/form/interface";
import { UserDataType } from "@/model/userModel";
import { ColumnsType } from "antd/lib/table";
export const columns: ColumnsType<UserDataType> = [
  {
    title: "物资名称",
    dataIndex: "name",
  },
  {
    title: "物资描述",
    dataIndex: "desc",
  },
  {
    title: "过期时间",
    dataIndex: "storage_identity",
  },
  {
    title: "货架名称",
    dataIndex: "expiry_date",
  },
  {
    title: "货架位置",
    dataIndex: "storage_cloumn",
  },
  {
    title: "所属仓库",
    dataIndex: "expiry_date",
  },
];

export const defaultConfig = [
  {
    type: FormType.select,
    label: "所属仓库",
    name: "stash_identity",
    value: "",
    selectUrl:"storage/list",
    rules: [{ required: true, message: "请输入物资名称!" }],
  },
  {
    type: FormType.input,
    label: "所属货架",
    name: "storage_identity",
    value: "",
    rules: [{ required: true, message: "请选择货架!" }],
  },
  {
    type: FormType.input,
    label: "货架位置",
    name: "storage_cloumn",
    value: "",
    rules: [{ required: true, message: "请选择货架位置!" }],
  },
  {
    type: FormType.select,
    label: "物资分类",
    name: "catory_identity",
    value: 0,
    selectUrl:"suppliesCat/list",
    rules: [{ required: true, message: "请选择物资分类!" }],
  },
  {
    type: FormType.input,
    label: "物资名称",
    name: "name",
    value: "",
    rules: [{ required: true, message: "请输入物资名称!" }],
  },
  {
    type: FormType.input,
    label: "物资描述",
    name: "desc",
    value: "",
    rules: [{ required: true, message: "请输入物资描述!" }],
  },
  {
    type: FormType.date,
    label: "过期时间",
    name: "expiry_date",
    value: "",
    rules: [{ required: true, message: "请选择过期时间!" }],
  },
  {
    type: FormType.upload,
    label: "物资图片",
    name: "supplie_piker",
    value: "",
  },
];
